Skip to main content

Get a list of all the variables and their values for a specified group

GET 

/variables/runtime/groups/:groupName

Get a list of all the variables and their values for a specified group.

Example: curl -u user:password -i http://orchestra-host:orchestra-port/variables/runtime/groups/{groupName}

Request​

Responses​

A JSON object which contains the specified group's variables and values.
The returned JSON object looks like

{ "variableName1":"value1", "variableName2":"value2", ...}

Returns an empty JSON object {} if no variables exist in the group.
Returns HTTPS status 404 when the specified groupName doesn't exist in the runtime cache.